<?php

namespace Drp\SimpleCms\Generators\Crud\SimpleCMS\Admin;

use Drp\SimpleCms\Generators\Crud\Core;
use Illuminate\Support\Str;

class Menu
{
    public static function create(string $name): void
    {
        $name = ucfirst($name);
        $type = Str::plural(strtolower($name));
        $use = "use App\Models\\${name};";
        $config = base_path('config/simple_cms.php');

        if (!Core::shouldModify($config, $use)) {
            return;
        }

        $file = file_get_contents($config);

        $replace = [
            "<?php\n\n" => "<?php\n\n{$use}\n",
            "'content_types' => [\n" => join('', [
                "'content_types' => [\n",
                "        '{$type}' => $name::class,\n",
            ]),
        ];

        $file = str_replace(array_keys($replace), $replace, $file);
        file_put_contents($config, $file);
    }
}
