<?php

namespace Drp\SimpleCms\Scopes;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Scope;

class PreviewScope implements Scope
{
    // phpcs:disable Generic.CodeAnalysis.UnusedFunctionParameter.Found
    public function apply(Builder $builder, Model $model): void
    {
        $builder->whereDraftOrInReview()
            ->orWhere(function ($query): void {
                $query->wherePublished()
                    ->hasNoDraftOrInReview();
            });
    }
    // phpcs:enable Generic.CodeAnalysis.UnusedFunctionParameter.Found
}
