<?php

namespace Drp\SimpleCms\Test\Unit;

use Drp\SimpleCms\Test\TestCase;

/**
 * Class HelpersTest
 * @package Drp\SimpleCms\Test\Unit
 */
class HelpersTest extends TestCase
{
    /**
     * @test
     */
    public function it_returns_a_content_label()
    {
        $this->assertEquals('Test content label', content_label('test-content'));
        $this->assertEquals('Test content labels', content_label('test-content', true));
        $this->assertEquals('test content label', content_label('test-content', false, true));
    }

    /**
     * @test
     */
    public function it_returns_if_preview_mode_is_enabled()
    {
        $this->assertFalse(preview_mode_enabled());

        session(['previewMode' => true]);

        $this->assertTrue(preview_mode_enabled());
    }
}
